package com.bankaudit.rest.process.service;

import java.time.LocalDate;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditSchedule;

public interface AuditRespondService {
	
	DataTableResponse  getMyRespondList(int legalEntityCode,String userId, String search,Integer orderColumn,String orderDirection, Integer page, Integer size,
			LocalDate financialYear, String auditTypeCode);
	
	AuditSchedule getRespondAuditByPlanIdAndAuditId(int legalEntityCode,String auditTypeCode, String planId,String auditId); 
	 
	void updateAuditRespondStatus(AuditSchedule auditSchedule);
	
	DataTableResponse  getRespondObservationList(int legalEntityCode,String planId,String auditId, String search,Integer orderColumn,
			String orderDirection, Integer page, Integer size);
	
	String isRespondObsPendingBfrRespondSubmit(AuditSchedule auditSchedule);

}
